Skip to content

Update project​

PATCH
/api/projects/{id}

Owner only. The Inbox cannot be renamed (400); its other fields can change.

Authorizations​

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Request Body​

application/json
JSON
{
"name": "string",
"shared": true,
"sort_order": 0,
"color": "string",
"description": "string"
}

Responses​

Updated project

application/json
JSON
{
"data": {
"id": 0,
"name": "string",
"owner_id": 0,
"shared": true,
"sort_order": 0,
"color": "string",
"description": "string",
"active_count": 0,
"overdue_count": 0,
"created_at": "string"
}
}

Samples​

Powered by VitePress OpenAPI